CVE-2016-2787

2017-02-13T13:59:00
ID CVE-2016-2787
Type cve
Reporter NVD
Modified 2017-03-07T20:15:24

Description

The Puppet Communications Protocol in Puppet Enterprise 2015.3.x before 2015.3.3 does not properly validate certificates for the broker node, which allows remote non-whitelisted hosts to prevent runs from triggering via unspecified vectors.